> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entropi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Returns a single product by productID



## OpenAPI

````yaml GET /v1/products/getOne
openapi: 3.0.1
info:
  title: Entropi API
  description: A guide to Entropi's public APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://dev.entropi.app
security:
  - bearerAuth: []
paths:
  /v1/products/getOne:
    get:
      description: Returns a single product by productID
      parameters:
        - name: productID
          in: query
          description: The productID to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: API Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    $ref: '#/components/schemas/Product'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Product:
      required:
        - name
        - desc
        - orgID
        - userID
        - productID
      type: object
      properties:
        productID:
          description: Product ID
          type: string
        name:
          description: Name of the product
          type: string
        desc:
          description: A detailed description of the product
          type: string
        url:
          description: URL to product page, if applicable
          type: string
        orgID:
          description: Organization ID. See Organizations endpoint for details
          type: string
        userID:
          description: User ID. See Users endpoint for details
          type: string
        imageLink:
          description: URL to an image of the product
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````